Bug 1582417 - [Geo-rep]: Directory renames are not synced in hybrid crawl
Summary: [Geo-rep]: Directory renames are not synced in hybrid crawl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Kotresh HR
QA Contact: Rochelle
URL:
Whiteboard:
Depends On: 1499566
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-05-25 07:20 UTC by Rochelle
Modified: 2018-09-14 04:13 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1499566
Environment:
Last Closed: 2018-09-04 06:49:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:50:42 UTC

Description Rochelle 2018-05-25 07:20:22 UTC
+++ This bug was initially created as a clone of Bug #1499566 +++

Description of problem:
Directory renames are not synced in hybrid crawl

Version-Release number of selected component (if applicable):
mainline

How reproducible:
Always

Steps to Reproduce:
1. Setup geo-replication
2. Set the change_detector to xsync
3. Create directory (dir1) on master and let it sync to slave
4. rename dir1 to dir2


Actual results:
dir2 would not be synced to slave. dir1 still exists on slave

Expected results:
dir1 should be renamed to dir2 on slave

Additional info:

--- Additional comment from Worker Ant on 2017-10-08 13:20:43 EDT ---

REVIEW: https://review.gluster.org/18448 (geo-rep: Fix rename of directory in hybrid crawl) posted (#1) for review on master by Kotresh HR (khiremat@redhat.com)

--- Additional comment from Worker Ant on 2017-11-10 00:37:00 EST ---

COMMIT: https://review.gluster.org/18448 committed in master by  

------------- geo-rep: Fix rename of directory in hybrid crawl

In hybrid crawl, renames and unlink can't be
synced but directory renames can be detected.
While syncing the directory on slave, if the
gfid already exists, it should be rename.
Hence if directory gfid already exists, rename
it.

Change-Id: Ibf9f99e76a3e02795a3c2befd8cac48a5c365bb6
BUG: 1499566
Signed-off-by: Kotresh HR <khiremat@redhat.com>

--- Additional comment from Shyamsundar on 2018-03-15 07:18:57 EDT ---

This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-4.0.0, please open a new bug report.

glusterfs-4.0.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://lists.gluster.org/pipermail/announce/2018-March/000092.html
[2] https://www.gluster.org/pipermail/gluster-users/

Comment 9 errata-xmlrpc 2018-09-04 06:49:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.